Search Results for

Show / Hide Table of Contents

# Interface IJavaEnum

Converter between managed and native enum types.

###### Namespace: AppstockSDK.Android

###### Assembly: Appstock.Android.dll

##### Syntax

    public interface IJavaEnum

### Properties

#### Converter

Gets managed-to-native converter delegate.

##### Declaration

    Func<object, AndroidJavaObject?> Converter { get; }

##### Property Value

Type | Description
--- | ---
Func<object, AndroidJavaObject> | A delegate that can convert managed enum value to native one.

#### ConvertibleEnumValues

Gets convertible values of managed enum.

##### Declaration

    IEnumerable<object> ConvertibleEnumValues { get; }

##### Property Value

Type | Description
--- | ---
IEnumerable<object> | Managed enum values for which the name of native enum is known.

#### EnumType

Gets the type of managed enum.

##### Declaration

    Type EnumType { get; }

##### Property Value

Type | Description
--- | ---
Type | Managed enum type.

#### Reverter

Gets native-to-managed converter delegate.

##### Declaration

    Func<AndroidJavaObject, object?> Reverter { get; }

##### Property Value

Type | Description
--- | ---
Func<AndroidJavaObject, object> | A delegate that can convert native enum value to managed one.